#include<bits/stdc++.h>
using namespace std;
int main(){
	int n,a;
	cin>>n>>a;
	if(n<3*a){
		cout<<-1;
		return 0;
	}
	cout<<0<<" "<<a/3<<endl;
	cout<<0<<" "<<a/3<<endl;
	cout<<0<<" "<<a/3+a%3<<endl;
}